gnutls_x509_othername_to_virtual(3)

NAME
gnutls_x509_othername_to_virtual - API function

SYNOPSIS
#include <gnutls/x509-ext.h>

int gnutls_x509_othername_to_virtual(const char * oid, const gnutls_datum_t * othername, unsigned int * virt_type, gnutls_datum_t * virt);

ARGUMENTS

const char * oid
    The othername object identifier

const gnutls_datum_t * othername
    The othername data

unsigned int * virt_type
    GNUTLS_SAN_OTHERNAME_XXX

gnutls_datum_t * virt
    allocated printable data

DESCRIPTION
This function will parse and convert the othername data to a virtual type supported by gnutls.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.3.8

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2016 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/